Subject: [PATCH v3 0/8] arm64: rockchip: Initial GeekBox enablement

From: [email-masked] (Giuseppe CAVALLARO)
Date: Tue, 8 Mar 2016 08:24:13 +0100

Hi Dinh,

On 3/8/2016 12:22 AM, Dinh Nguyen wrote:
[snip]
>
> I'm seeing the same issue on the SoCFPGA platform:
>
> libphy: PHY stmmac-0:ffffffff not found
> eth0: Could not attach to PHY
> stmmac_open: Cannot attach to PHY (error: -19)
>
> If I just revert:
>
>   "stmmac: Fix 'eth0: No PHY found' regression"
>
> then the issue goes away.

do you have this patch "stmmac: first frame prep at the end of xmit 
routine" ? Or you just reverted
   "stmmac: Fix 'eth0: No PHY found' regression"

maybe we can sum:

   "stmmac: Fix 'eth0: No PHY found' regression"
            that is introducing a problem when a box
            has a transceiver

  "stmmac: first frame prep at the end of xmit routine"
            That is breaking the tx path on arm64

I will check both patches on my side and let you know

peppe

> Thanks,
> Dinh